%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		zenity
Summary:	Call GNOME dialog boxes from the command line
Version:	4.0.5
Release:	%mkrel 2
License:	LGPLv2+
Group:		Development/GNOME and GTK+
URL:		https://download.gnome.org/sources/zenity
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:  gnome-common
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libadwaita-1) >= 1.2
BuildRequires:	pkgconfig(webkitgtk-6.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	help2man
BuildRequires:	desktop-file-utils
BuildRequires:	itstool
BuildRequires:	libxslt-proc
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	yelp-tools
BuildRequires:	x11-server-xvfb
Conflicts:	gnome-utils < 2.3.3
Provides:	xmsg-dialog

%description
Zenity allows you to display dialog boxes from the command-line and shell
scripts.

%prep
%autosetup -p1

%build
%meson -Dwebkitgtk=true
# Man page generation requires running the in-tree zenity command.
%{shrink:xvfb-run -w 10 -d %meson_build}

%install
%meson_install

%find_lang %{name}-0.1 --with-gnome --all-name

%files -f %name-0.1.lang
%license COPYING
%doc AUTHORS NEWS README.md
%{_bindir}/*
%{_datadir}/applications/org.gnome.Zenity.desktop
%{_datadir}/icons/hicolor/48*48/apps/zenity.png
%{_mandir}/man1/*


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 4.0.5-2.mga10
+ Revision: 2248894
- Mageia 10 Mass Rebuild

* Thu Mar 20 2025 daviddavid <daviddavid> 4.0.5-1.mga10
+ Revision: 2167102
- new version 4.0.5

* Fri Nov 01 2024 daviddavid <daviddavid> 4.0.3-1.mga10
+ Revision: 2111922
- new version 4.0.3

* Fri Jul 05 2024 daviddavid <daviddavid> 4.0.2-1.mga10
+ Revision: 2079893
- new version: 4.0.2

* Mon Jan 08 2024 daviddavid <daviddavid> 4.0.1-1.mga10
+ Revision: 2028857
- new version 4.0.1

* Mon Jan 01 2024 danf <danf> 4.0.0-2.mga10
+ Revision: 2024924
- Re-enable HTML support that was lost some time after mga8

* Fri Dec 08 2023 daviddavid <daviddavid> 4.0.0-1.mga10
+ Revision: 2015550
- new version 4.0.0

* Thu Dec 07 2023 daviddavid <daviddavid> 3.99.91-1.mga10
+ Revision: 2014665
- new version 3.99.91

* Tue Sep 26 2023 tv <tv> 3.99.2-1.mga10
+ Revision: 1991156
- Update to 3.99.2

* Sat Jun 03 2023 daviddavid <daviddavid> 3.44.1-1.mga9
+ Revision: 1960821
- new version 3.44.1

* Sun Apr 23 2023 daviddavid <daviddavid> 3.44.0-1.mga9
+ Revision: 1954452
- new version 3.44.0

* Mon Sep 19 2022 tv <tv> 3.43.0-1.mga9
+ Revision: 1890218
- Update to 3.43.0
- Enable libnotify option for meson build

* Wed Apr 27 2022 ovitters <ovitters> 3.42.1-1.mga9
+ Revision: 1854536
- new version 3.42.1

* Sat Apr 02 2022 umeabot <umeabot> 3.42.0-2.mga9
+ Revision: 1840521
- Mageia 9 Mass Rebuild

* Fri Apr 01 2022 ovitters <ovitters> 3.42.0-1.mga9
+ Revision: 1839762
- new version 3.42.0

* Mon Jan 10 2022 tv <tv> 3.41.0-1.mga9
+ Revision: 1767476
- 3.41.0

* Sat Feb 15 2020 umeabot <umeabot> 3.32.0-2.mga8
+ Revision: 1524000
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Mar 22 2019 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1379580
- new version 3.32.0

* Fri Oct 05 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1318032
- new version 3.30.0

* Sun Sep 23 2018 umeabot <umeabot> 3.28.1-2.mga7
+ Revision: 1302047
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1216917
- new version 3.28.1

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208423
- new version 3.28.0

* Mon Feb 05 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1199079
- new version 3.27.90

* Tue Nov 14 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1177382
- new version 3.26.0

* Sat Sep 23 2017 cjw <cjw> 3.24.0-3.mga7
+ Revision: 1158274
- fix build with new find_lang

* Fri May 12 2017 wally <wally> 3.24.0-2.mga6
+ Revision: 1100608
- rebuild for armv5tl

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1093944
- new version 3.24.0

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055024
- new version 3.22.0

* Wed Mar 23 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 994643
- new version 3.20.0

* Wed Mar 16 2016 luigiwalser <luigiwalser> 3.18.1.1-5.mga6
+ Revision: 992229
+ rebuild (emptylog)

* Wed Mar 16 2016 luigiwalser <luigiwalser> 3.18.1.1-4.mga6
+ Revision: 992212
- build with webkit2
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 18 2015 tarakbumba <tarakbumba> 3.18.1.1-2.mga6
+ Revision: 903921
-Re-enable missing html support

* Thu Oct 29 2015 tv <tv> 3.18.1.1-1.mga6
+ Revision: 896439
- new release

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883101
- new release

* Tue Jun 23 2015 ovitters <ovitters> 3.16.3-1.mga6
+ Revision: 840483
- new version 3.16.3

* Mon Jun 22 2015 ovitters <ovitters> 3.16.2-1.mga6
+ Revision: 838621
- new version 3.16.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 744584
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719190
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 690867
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676805
- new version 3.13.92

* Mon Apr 28 2014 dams <dams> 3.12.1-1.mga5
+ Revision: 618730
- new version 3.12.1

* Sat Oct 19 2013 umeabot <umeabot> 3.8.0-3.mga4
+ Revision: 533541
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 tmb <tmb> 3.8.0-2.mga4
+ Revision: 473813
- rebuild for new webkit

* Fri May 24 2013 ovitters <ovitters> 3.8.0-1.mga4
+ Revision: 426687
- new version 3.8.0

* Mon Jan 14 2013 umeabot <umeabot> 3.6.0-3.mga3
+ Revision: 387963
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ fwang <fwang>
- update br
- update br

* Wed Sep 26 2012 fwang <fwang> 3.6.0-2.mga3
+ Revision: 297888
- update br

* Wed Sep 26 2012 fwang <fwang> 3.6.0-1.mga3
+ Revision: 297883
- update file list
+ ovitters <ovitters>
- new version 3.6.0

* Sun Mar 25 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226256
- update file list
- clean spec

* Tue Sep 27 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149329
- new version 3.2.0
+ wally <wally>
- new version 3.1.5
- drop buildroot definition
- drop unneeded post and preun scripts

* Mon Jun 20 2011 pterjan <pterjan> 3.0.0-1.mga2
+ Revision: 110390
- Update BuildRequires (and set them to depend on the pkgconfig tested in configure)
- Update to 3.0.0

* Wed Jan 19 2011 blino <blino> 2.32.1-1.mga1
+ Revision: 23648
- imported package zenity


* Mon Nov 15 2010 Götz Waschk <waschk@mandriva.org> 2.32.1-1mdv2011.0
+ Revision: 597868
- update to new version 2.32.1

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581787
- update to new version 2.32.0

* Tue Sep 14 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 578143
- update to new version 2.31.92

* Thu Aug 05 2010 Götz Waschk <waschk@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 566252
- new version
- update build deps

* Mon Mar 29 2010 Funda Wang <fwang@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528712
- update to new version 2.30.0

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2.28.0-3mdv2010.1
+ Revision: 524480
- rebuilt for 2010.1

  + Sandro Cazzaniga <kharec@mandriva.org>
    - Fix mixed-use-of-spaces-and-tabs

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 2.28.0-2mdv2010.0
+ Revision: 454733
- do not package huge ChangeLog

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446700
- update to new version 2.28.0

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-1mdv2010.0
+ Revision: 414696
- update to new version 2.27.90

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356262
- update to new version 2.26.0

* Tue Jan 13 2009 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 328858
- update to new version 2.24.1

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287358
- new version

* Fri Jul 18 2008 Götz Waschk <waschk@mandriva.org> 2.23.3.1-1mdv2009.0
+ Revision: 238066
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.3-1mdv2009.0
+ Revision: 231150
- new version
- fix license
- update deps

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192471
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183386
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 175065
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 27 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 113312
- new version

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.20.0-2mdv2008.0
+ Revision: 90399
- rebuild

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-1mdv2008.0
+ Revision: 63210
- new version

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.19.1-2mdv2008.0
+ Revision: 36222
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 32176
- new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14378
- new version


* Sun Mar 11 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141418
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 125976
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 120045
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 112040
- new version

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 99080
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 90674
- new version

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-2mdv2007.1
+ Revision: 89595
- bot rebuild
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-3mdv2007.1
+ Revision: 63827
- rebuild
- rebuild
- Import zenity

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.92-1mdv2007.0
- Release 2.15.92

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-2mdv2007.0
- Rebuild with latest dbus

* Sun Jul 30 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1mdv2007.0
- New release 2.15.90

* Fri Jun 30 2006 Götz Waschk <waschk@mandriva.org> 2.15.2-2mdv2007.0
- new macros
- don't symlink gdialog man page to the zenity man page

* Sat Jun 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2

* Mon May 29 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdk
- New release 2.14.2

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1

* Fri Jan 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-4mdk
- provides xmsg-dialog (Eskild)
- use mkrel

* Wed Oct 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-3mdk
- Fix buildrequires

* Sat Oct 08 2005 Götz Waschk <waschk@mandriva.org> 2.12.1-2mdk
- replace prereq
- fix buildrequires

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1

* Thu Jul 07 2005 Götz Waschk <waschk@mandriva.org> 2.10.1-1mdk
- New release 2.10.1

* Mon Apr 25 2005 Götz Waschk <waschk@mandriva.org> 2.10.0-2mdk
- add man page symlink for gdialog

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-1mdk 
- Release 2.10.0 (based on Götz Waschk package)

* Wed Dec 08 2004 Götz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- fix omf file listing
- New release 2.8.2

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1

* Tue Jul 20 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.3-1mdk
- New release 2.6.3

* Fri Apr 30 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- New release 2.6.2

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Fix BuildRequires

* Wed Apr 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- New release 2.6.1

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Götz help)
- requires new gtk

